package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;

/**
 *
 * @author fpalma
 */
public class V9_6_To_V9_7
		implements siprp.update.Update
{
	
	public V9_6_To_V9_7()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{
		                    "Relacao postoDeTrabalho <-> medida"
		                    };
	}
	
	public double getStartVersion()
	{
		return 9.6;
	}
	
	public double getEndVersion()
	{
		return 9.7;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"drop table hs_posto_risco;" +
					"create table hs_posto_medida(" +
					"	posto_id int4 REFERENCES hs_posto(id)," +
					"	medida_id int4 REFERENCES hs_medida(id)," +
					"	CONSTRAINT hs_posto_medida_pkey PRIMARY KEY(posto_id,medida_id)" +
					");" +
					"create table hs_relatorio_posto_medida(" +
					"	posto_id int4 REFERENCES hs_relatorio_posto(id)," +
					"	medida_id int4 REFERENCES hs_relatorio_medida(id)," +
					"	CONSTRAINT hs_relatorio_posto_medida_pkey PRIMARY KEY(posto_id,medida_id)" +
					");"
		);
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
